Package org.apache.sling.jackrabbit.usermanager

# Interface ChangeUserPassword

All Known Implementing Classes:
  `ChangeUserPasswordServlet`

public interface ChangeUserPassword
The `ChangeUserPassword` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

Since:
  2.2.0

## Method Summary

Modifier and Type
Method
Description
`org.apache.jackrabbit.api.security.user.User`
`changePassword(javax.jcr.Session jcrSession, String name, String oldPassword, String newPassword, String newPasswordConfirm, List<org.apache.sling.servlets.post.Modification> changes)`
Update the password of a user in the repository

## Method Details

### changePassword

org.apache.jackrabbit.api.security.user.User changePassword(javax.jcr.Session jcrSession, String name, String oldPassword, String newPassword, String newPasswordConfirm, List<org.apache.sling.servlets.post.Modification> changes) throws javax.jcr.RepositoryException
Update the password of a user in the repository

Parameters:
  `jcrSession` - the JCR session of the user updating the user
  `name` - The name of the user to update (required)
  `oldPassword` - The current password of the user (required for non-admin users)
  `newPassword` - The password value to apply (required)
  `newPasswordConfirm` - The password value to apply again (required)
  `changes` - The list of changes for this operation (optional)
Returns:
  the user whose password was changed
Throws:
  `javax.jcr.RepositoryException` - if password can't be changed for some reason